%global packname qtl
%global packrel 28

Name:             R-%{packname}
Version:          1.10
Release:          2%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}-%{packrel}.tar.gz
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/qtl/
Group:            Applications/Engineering
Summary:          Tools for analyzing QTL experiments
BuildRequires:    R-devel, tetex-latex
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):   R
Requires(postun): R

%description
R-qtl is an extensible, interactive environment for mapping
quantitative trait loci (QTLs) in experimental crosses. Our goal is to
make complex QTL mapping methods widely accessible and allow users to
focus on modeling rather than computing.

A key component of computational methods for QTL mapping is the hidden
Markov model (HMM) technology for dealing with missing genotype
data. We have implemented the main HMM algorithms, with allowance for
the presence of genotyping errors, for backcrosses, intercrosses, and
phase-known four-way crosses.

The current version of R-qtl includes facilities for estimating
genetic maps, identifying genotyping errors, and performing single-QTL
genome scans and two-QTL, two-dimensional genome scans, by interval
mapping (with the EM algorithm), Haley-Knott regression, and multiple
imputation. All of this may be done in the presence of covariates
(such as sex, age or treatment). One may also fit higher-order QTL
models by multiple imputation and Haley-Knott regression.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/docs
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/BUGS.txt
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/LICENSE.txt
%doc %{_libdir}/R/library/%{packname}/README.txt
%doc %{_libdir}/R/library/%{packname}/STATUS.txt
%doc %{_libdir}/R/library/%{packname}/TODO.txt
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/sampledata

%changelog
* Wed Mar 18 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.10-2
- Update package summary and description
- Change defines to globals

* Sat Feb 28 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.10-1
- Updated to new upstream version - contains consistent licensing information
- Reverted License tag from GPLv2 to GPLv2+ to reflect the new information

* Tue Dec  2 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.09-2
- Corrected License tag from GPLv2+ to GPLv2

* Wed Nov  5 2008 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.09-1
- Initial package creation
